15

This is a proposal for adjusting a policy. The Community at large should vote on this change and determine whether or not they are in support of it. This will be as simple as upvoting the official answer tallys - one for "Yes I support the changes" and one for "No I do not support the changes". Only upvotes on the answer of your choice will be counted.

DO NOT downvote the "Yes" and "No" answers here, please - simply upvote that which is your support or not for the proposed change. Only the upvote counts on each of the two main answers will be counted.

This will be available for exactly 30 days until April 12th, which should give the majority of the community the chance to weigh in. At which point, we will be able to tally the votes and consider that as Community Consensus on whether to change the policy or not.

As of April 12, 2021 at 16:20 UTC, the vote counts are as follows:

ISSUE: Revise policy to explicitly include "past end-of-standard-support or end of life, whichever happens first".

Votes in favor: 39

Votes against: 8.

Given this tally, there is overwhelming support from the community which means that this will be adopted as policy, and the relevant help center topics and close reasons will be revised accordingly.


If you don't want to read the justification for my proposal because you either don't want to or don't care to, then search for "I would like to propose" and read the proposal beneath the extra large bold heading line. That's where the change proposal lies.


Currently, the policy is we do not support "End of Life" releases. This is a proposed amendment to adapt for the changing landscape that "Extended Security Maintenance" provides.

This applies for 12.04, 14.04, 16.04, and future LTS releases that get ESM after a standard support period of 5 years.

The terms for "End of Standard Support" and "End of Life" are being further defined by Canonical, however they do not have a policy on this yet drafted for the terms "End of Standard Support" and "End of Life" vs. "ESM". So, as such, let's abide by the general interpretation of these terms, and interpretations provided by Ubuntu Release announcements and pages relevant to the components being discussed.

This said, there are three cases to define here, as there are three terms:

  • End of Life - when a release is fully dead and no longer supported by Ubuntu or Canonical at all

  • End of Standard Support - the standard 5 year life cycle for LTSes through which maintenance updates and package updates of a non-security nature are accepted.

  • Extended Security Maintenance (aka ESM) - from their page:

    Continue to receive security updates for the Ubuntu base OS and critical infrastructure components – Ceph, OpenStack and more – with ESM in your Ubuntu Advantage subscription.

    Ubuntu Advantage for Infrastructure is available for physical servers, virtual machines, containers, and desktops. Free for personal use.

    • A note on Security Updates: Having had to handle three 12.04 and six 14.04 systems in my Full Time job, I can point that only critical security updates to packages in Main pocket of the repos have been getting updates from my observation - there are no "general security updates" that I've seen land in ESM yet.

There are some key takeaways from this:

  1. Ubuntu Advantage for Infrastructure, the "free" version, is an extremely stripped down version of the "Essential" category of UA-I subscriptions - in that it only provides the ESM repositories and no paid support. It provides Livepatch access and ESM repository access only. It does NOT provide paid Canonical support, or anything else. That requires a "Standard" or "Premium" license from Canonical, including for Personal Support.

    The Enterprise versions of the Ubuntu Advantage plans are listed here below for relevance, screenshot from the UA-I page:

    Ubuntu Advantage for Infrastructure Commercial Plans

  2. Extended Security Maintenance is ongoing security patching for certain packages by the Security Team - nothing more. It does not guarantee ongoing support and bug fixes or updates for non-security issues for a repository. It also does not guarantee that the age of the system and its libraries is going to get you support for newer releases - that is, the C libraries and any other libraries in the repos at ESM time are ancient and many of the changes in them are going to bar them from working with newer software. This was part of the justification for "End of Life" not being supported here on Ask Ubuntu, the other being "Users should upgrade to a newer release to get continued support and features" - ESM aside, this probably should apply for "End of Standard Support".

  3. The 'free' version of UA-I has substantial limitations as stated on the UA-I page:

    Anyone can use UA Infrastructure Essential for free on up to 3 machines (limitations apply).

    These limitations include: Lack of FIPS crypto modules, lack of EAL2, no Landscape access, No certified windows drivers for guests in KVM, security updates only, and finally no Canonical support.

  4. The Release Announcement for 16.04 clearly stated:

    Maintenance updates will be provided for 5 years for Ubuntu Desktop, Ubuntu Server, Ubuntu Cloud, Ubuntu Core, and Ubuntu Kylin. All the remaining flavours will be supported for 3 years.

    None of the subsequent offical release announcements for 16.04 point releases mentions ESM extending the standard support beyond 5 years (.1 .2 .3 .4 .5 .6 .7)

    Similarly, none of the 14.04 announcements have any ESM mentions, nor any statement that official general support by the community at large will continue past 5 years after the first release. (.0 .1 .2 .3 .4 .5 .6)

  5. The actual 14.04 ESM release statement specifically states that the process to move things to old-releases for 14.04 has begun the moment that ESM began for 14.04. This is the same process for EOL releases which get all their data moved to old-releases and frozen, and then at a later date removed from the main repositories.

    Specifically:

    This is a follow-up to the Extended Support warning sent a month ago to confirm that as of April 25, 2019, Ubuntu 14.04 LTS basic support has ended. No more package updates will be accepted to the 14.04 primary archive, and any subsequent support will be done via Extended Security Maintenance. Over the coming weeks, various images will be archived, and the primary archive will be copied to old-releases.

    Given that ESM is a Canonical Enterprise Product - even though the repositories are 'free' to users for 3 machines - this is still a Commercial Offering - this does not state that it extends general support for the version beyond Security Updates - think of this as Microsoft issuing out-of-band security patches for Windows 7 for a long period of time until they finally killed Windows 7 off. That doesn't mean Windows 7 is still supported, it just means that a security issue was major enough that they wanted to handle the inertia of people not updating or upgrading systems - this is essentially what ESM is for with Ubuntu.

Given all the above, I would like to propose to the community at large that we amend the support policy for Ubuntu Releases as follows:

We currently consider all releases that are past their End of Standard Support dates off topic. This is to clarify that even if a release has an option of Extended Security Maintenance, that doesn't make it on topic if it is past its End of Standard Support date.

  1. For non-LTS releases that get only 9 months of support from release, they continue to not be supported past their EOL date.

  2. For LTS releases that have 5 years of support plus ESM, we stop supporting the release once End of Standard Support (the 5 year maintenance updates cycle that is standard) has been reached. Once EOSS (End of Standard Support) is reached, the LTS version is considered "no longer supported on Ask Ubuntu", and users who want to get ongoing support for ESM enabled versions of their system need to reach out to Canonical with a paid contract for getting ongoing support for their system.

  3. Any questions regarding supporting systems that have ESM enabled on them will be considered "offtopic" per #2 above. ESM is a Canonical product offering, and while it gives critical security updates it is not designed nor intended as a way to continue to use "End of Standard Support" systems - it was designed for the Enterprise which has core infrastructure that cannot be readily upgraded to have extra time to do that step, and not continue to provide 'consumer support' past standard release. Ask Ubuntu qualifies as Consumer Support - the Community at Large - and not paid Canonical support.

9
  • 2
    Just to clarify, and please correct me if I'm wrong, the change here is to clarify that releases that have reached the end of standard support are off topic here, even if they have the option of ESM. In other words, we're not so much changing as clarifying AU considers "end of standard support" as the time we stop considering releases on topic.
    – terdon
    Mar 12 at 17:03
  • Correct, this is more an addendum to the existing policy so that any release that reaches the end of Standard Support (which for non-LTSes is also the same as their EOL date) are no longer supported here. I.E. clarifying when we consider releases offtopic.
    – Thomas Ward Mod
    Mar 12 at 17:12
  • 6
    I just don't understand the reason you are so eager to outlaw questions about an Ubuntu version that Canonical is supporting. Nobody is being forced to answer them and nobody is asking a question without need. All of your statements above seem to be arguing on technical grounds that do not negatively effect the typical user. (Putting answer you prefer first is sort of rigging the results). Mar 13 at 13:53
  • 1
    I cant control how the system presents the answers by the way. Thats a SE problem. And the drive has ALWAYS been that we want users to upgrade to stay on supported releases so they don't end up with "your system is too old upgrade it" answers among other things. This said, if you have a problem with this policy we have or the proposed change, its why there is a 'no' vote option.
    – Thomas Ward Mod
    Mar 13 at 13:55
  • Also is why we have meta, but you need to be aware that this isnt a true democracy and you are the only one who is making a fuss about the policy that has been in place since before I even became a moderator here.
    – Thomas Ward Mod
    Mar 13 at 13:57
  • I am not making a fuss about policy, I fully agree with the policy of supporting Ubuntu versions until EOL. You are the one who wants to change Ask Ubuntu policy that has been in place and working fine for a long time. I making a fuss about telling people who need help one thing and doing another. Mar 14 at 4:15
  • @KGIII In practice yes but not officially policy. This simply clarifies the policy.
    – Thomas Ward Mod
    Mar 17 at 18:59
  • 1
    To offer a bit of additional perspective: according to the image on the ubuntu.com release-cycle page, starting with 18.04, the ESM period will be increased from 3 years to 5 years. If that's correct, then it means, that if we voted to keep ESM on-topic, then questions about Ubuntu 20.04 would be considered on-topic (synonym: relevant?) even in part of the year 2030.
    – Levente
    Apr 4 at 0:17
  • 4
    I don't see the logic in not letting people who actually know the answer contribute said Answer, while everyone else just ignores them. There is no additional burden on anyone, since you can simply choose to not answer. I was reading this whole thing thinking you were going to argue the opposite--that the longer dates mean that there should be a change to allow more people to be helped. I wish that, instead of appealing to tradition, you would explain why the policy is this way in practice. It can't be to get people to leave the platforms, as they are still officially supported.
    – trlkly
    Apr 6 at 13:14
36

This is an official voting tally answer. DO NOT modify it, except to vote on it, and please do not downvote it if you disagree with the statement - upvote the other vote option instead.

Yes, I support the proposed changes to policy.

1
  • 6
    Don't downvote, people. Upvote the other answer if you don't like this option.
    – muru
    Mar 15 at 3:43
11

This is an official voting tally answer. DO NOT modify it, except to vote on it, and please do not downvote it if you disagree with the statement - upvote the other vote option instead.

No, I do not support the proposed changes to policy.

2

This question doesn't make sense. Local ballots do a much better job of explaining the implications of votes. In this case, it seems like a "yes" vote means, "we should not support extended life versions past their standard life, which is the status quo, but we're making it official" and a "no" vote means, "we shouldn't change anything."

In other words, you haven't proposed a change in any policy. You're proposing a clarification that effectively keeps the policy exactly what it already is: versions past end-of-standard-support are unsupported here.

Given that, it seems the "yes" and "no" votes mean the same thing.

4
  • It's not written anywhere for 'end of standard support' - the policy would be written so that it says "past the release's end of life or end of standard support period, whichever is first". You might want to read question comments. (And where were you 3 weeks ago with this comment?)
    – Thomas Ward Mod
    Apr 9 at 18:35
  • 2
    @ThomasWard I did read the question comments; my takeaway is that this is a clarification rather than a change. What would be most helpful for purposes of understanding would be a clear-cut description of "The Status Quo" and "The Proposed New Policy."
    – Wildcard
    Apr 9 at 19:09
  • 2
    The only thing I can find resembling that is, "We currently consider all releases that are past their End of Standard Support dates off topic. This is to clarify that even if a release has an option of Extended Security Maintenance, that doesn't make it on topic if it is past its End of Standard Support date." Which doesn't sound like it needs a vote at all. It's just saying that the policy means what it says. Where is the actual policy, though?
    – Wildcard
    Apr 9 at 19:10
  • 1
    literally in the help center? Help Center: What topics can I ask about?, "Questions that you should avoid", "Support for versions for Ubuntu releases past their Support or "End of Life" (EOL) — unless the question is asking how to upgrade to a supported release." - there's lack of clarification on "past their Support" which is what this modification proposal proposes to do - actually state what the 'past their support' date is as 'standard support' dates are now defined by Canonical and for each release.
    – Thomas Ward Mod
    Apr 9 at 19:45
2

I know I am too late. But I will state what I want to state.

Your "policy change proposal" tries to do two things:

  1. To change one point in the "What topics can I ask about here?" help center article.

    You intend to change this:

    Support for versions for Ubuntu releases past their Support or "End of Life" (EOL) — unless the question is asking how to upgrade to a supported release.
    (Link)

    to

    Support for versions for Ubuntu releases past their "End of Standard Support" or "End of Life" dates (whichever is earlier) — unless the question is asking how to upgrade to a supported release.

  2. Make all ESM-related questions off-topic.


According to me, one should consider a few things before proposing a policy change.

  • Firstly, did the community feel that there was a need to change the policy? This could have been assessed by posting something similar to this: 2020 Potential Moderator Election: Community Interest Check

    • If the community did feel that there was a need to change the policy, did the community members have the opportunity to share their opinions (in a platform like Ask Ubuntu Meta) about what must be the new policy?

      This post started a discussion about the policy change but we cannot really consider it as post which was trying to take input/opinions from other users of Ask Ubuntu regarding changing the policy, or at least that is what I feel.

  • Secondly, did all the moderators have any public discussion (in a public chatroom or in Ask Ubuntu Meta), not a closed discussion in private chatroom, about changing the policy?

    If yes, the transcript of the discussion should have been mentioned in the post.

    If no, the reason for not having a public discussion with all the moderators (in a public platform) should have been explained in your "policy proposal".

    • If a discussion about changing the policy happened in a private chatroom and if all moderators were not able to opine in the chatroom (due to inactivity in Ask Ubuntu) about changing the policy, were they contacted through other platforms (like email, social media, instant messaging, etc.) to request them to opine about changing the policy?
  • Why was one month chosen as the time limit? Was there any community consensus or moderators consensus about choosing the time limit?

    If there was any consensus, please share the relevant link which leads us to the discussion about reaching a consensus.

    If there was no such consensus, who decided the time limit?

  • Why is the time when the post is going to be locked not mentioned in your policy proposal?

3
  • 2
    I have been following this subject closely. As far as I can see there has only been one moderator promoting this change to Ask Ubuntu's rules. The change has been justified by this pages poll where the average user does not have a high enough reputation to vote. I have counted 408 questions on Ask Ubuntu tagged 14.04, since it went EoSS in April 2019 and 52 questions tagged 16.04, since it went EoSS in April 2021. It can only be assumed that if given the opportunity to vote, all of these Ask users would have voted to keep the rules allowing questions on a LTS release until it's EOL/ESM date. Aug 14 at 13:44
  • Thomas did explain why he was proposing this in the question. Moderators do not decide rules. The community does. Moderators help, well, moderate. Your post is sort of turning this into a conspiracy, lol. The short explanation is that Canonical had recently [sort of] redefined EOL, and the community was not in sync with what should be closed as EOL. There was quite a bit of discussion around this, for example, meta.askubuntu.com/questions/19616/…. I don't see the need for making this more bureaucratic than it already is.
    – Dan
    Aug 15 at 10:58
  • 2
    @Dan So who is the community you refer to? Is it all Ubuntu users or just Ask Ubuntu users? Does it include new contributors whose reputation does not allow voting? Are poor Africans and Asians who can barely afford an old 32bit computer excluded from your community? And why can just one moderator decide which part of the community to service? This was a phony vote and does not represent the true community's needs and wishes, just an entitled few. Canonical can make an effort to service the community, why can't Ask Ubuntu? Aug 16 at 1:50

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .